Returns configuration information about all discovery instances
GET https://api-<BlueCat.edge.url>/v1/api/discoveryInstances
Authorization: Bearer authorization token
Successful response
200 OK
Content-Type: application/JSON
[
{
"id": "46b2afdd-f735-421a-b489-6f7b1f35dd7d",
"name": "AWS Discovery Instance",
"servicePointId": "test_fsp_1-a9kf321st-abc2bcnab5pq",
"serviceInstanceId": "f123a456da789f8c82e8e15356fe215f",
"created": 1717693726463,
"modified": 1717693726463,
"lastSync": 1717696791055,
"discoveryIds": [
"12345678-ab12-3c4d-e5fa-593bb8bd604c"
],
"health": "HEALTHY",
"healthUpdated": 1717696791055,
"healthMessages": [],
"spService": {
"version": "1.0.0",
"targetVersion": "1.0.0",
"status": "HEALTHY",
"updateStatus": "OK",
"errorConditions": []
},
"state": {
"health": "HEALTHY",
"healthMessages": [],
"discoveryStates": [
{
"discoveryConfig": {
"id": "19e5691c-8788-45a4-85ca-db4374854d82",
"name": "AWS Discovery",
"pollingInterval": 60,
"domainListId": "923d5bd8-8a8b-475d-9d72-d844a86af237",
"created": 1734036889274,
"modified": 1734038666388,
"config": {
"environment": "aws",
"roleArn": "",
"generateReverse": true,
"regions": [
"us-east-1"
],
"onFailure": "ABANDON",
"secondaryConfigs": [
{
"roleArn": "arn:aws:iam::123456789012:role/cloud_resolver_remote"
}
],
"discoverSecondaryOnly": true,
"accessKeyId": {
"type": "edge",
"secretId": "1231c095-4321-4d68-ada3-12e7d73f064b"
},
"secretAccessKey": {
"type": "edge",
"secretId": "1231c095-1234-4d68-ada3-34e7d73f064b"
}
},
"timeout": 120
},
"health": "HEALTHY",
"messages": [],
"start": 1734457899000,
"end": 1734457901857,
"zoneCount": 3
},
...
}
}
},
...
]
Note: Deprecation notice
Starting in Discovery Instance v2.0.0,
the health and healthMessages at the root of the JSON
response have been deprecated. To monitor the health of the discovery, use the
health and healthMessages within the body of the
state.
Note: The
created, modified,
lastSync, and healthUpdated fields are represented in
milliseconds since the Unix Epoch.Possible error codes:
- INTERNAL SERVER ERROR - Unexpected error